/*
This is part of ScreenVWM, which is based in part on the Litestep
shell source code.

Copyright (C) 2008 Jim Babcock
Copyright (C) 1997-2008 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include "screenvwm.hpp"

set<VWMPanel*> panelByDescription(string desc, string arg)
{
	set<VWMPanel*> ret;
	
	if(desc=="" || desc=="all")
	{
		for(unsigned ii=0; ii<vwm->panels.size(); ii++)
			ret.insert(vwm->panels[ii]);
	}
	else if(desc=="monitor" || desc=="monitors")
	{
		set<Monitor*> monitors = findMonitors(arg);
		for(unsigned ii=0; ii<vwm->panels.size(); ii++)
		{
			VWMPanel *panel = vwm->panels[ii];
			if(monitors.find(panel->getMonitor()) != monitors.end())
				ret.insert(panel);
		}
	}
	else
	{
		for(unsigned ii=0; ii<vwm->panels.size(); ii++) {
			if(vwm->panels[ii]->prefix == desc) {
				ret.insert(vwm->panels[ii]);
				break;
			}
		}
	}
	
	return ret;
}
